wxWidgets: wxRichTextBufferDataObject Class Reference

| Version: 3.2.6

Public Member Functions | Static Public Member Functions | Private Attributes | Static Private Attributes | List of all members
wxRichTextBufferDataObject Class Reference
Class List by Category » Rich Text

`#include <wx/richtext/richtextbuffer.h>`

Inheritance diagram for wxRichTextBufferDataObject:
[legend]

## Detailed Description

Implements a rich text data object for clipboard transfer.

##

Library: wxRichText
Category: Rich Text

See also
  wxDataObjectSimple, wxRichTextBuffer, wxRichTextCtrl

## Public Member Functions
| wxRichTextBufferDataObject (wxRichTextBuffer *richTextBuffer=NULL)
| The constructor doesn't copy the pointer, so it shouldn't go away while this object is alive. More...
virtual | ~wxRichTextBufferDataObject ()
wxRichTextBuffer * | GetRichTextBuffer ()
| After a call to this function, the buffer is owned by the caller and it is responsible for deleting it. More...
virtual wxDataFormat | GetPreferredFormat (Direction dir) const
| Returns the preferred format for either rendering the data (if dir is `Get`, its default value) or for setting it. More...
virtual size_t | GetDataSize () const
| Gets the size of our data. More...
virtual bool | GetDataHere (void *pBuf) const
| Copy the data to the buffer, return true on success. More...
virtual bool | SetData (size_t len, const void *buf)
| Copy the data from the buffer, return true on success. More...
virtual size_t | GetDataSize (const wxDataFormat &) const
| Returns the data size of the given format format. More...
virtual bool | GetDataHere (const wxDataFormat &, void *buf) const
| The method will write the data of the format format to the buffer buf. More...
virtual bool | SetData (const wxDataFormat &, size_t len, const void *buf)
| Set the data in the format format of the length len provided in the buffer buf. More...
Public Member Functions inherited from wxDataObjectSimple
| wxDataObjectSimple (const wxDataFormat &format=wxFormatInvalid)
| Constructor accepts the supported format (none by default) which may also be set later with SetFormat(). More...
const wxDataFormat & | GetFormat () const
| Returns the (one and only one) format supported by this object. More...
void | SetFormat (const wxDataFormat &format)
| Sets the supported format. More...
Public Member Functions inherited from wxDataObject
| wxDataObject ()
| Constructor. More...
virtual | ~wxDataObject ()
| Destructor. More...
virtual void | GetAllFormats (wxDataFormat *formats, Direction dir=Get) const =0
| Copies all formats supported in the given direction dir to the array pointed to by formats. More...
virtual size_t | GetFormatCount (Direction dir=Get) const =0
| Returns the number of available formats for rendering or setting the data. More...
bool | IsSupported (const wxDataFormat &format, Direction dir=Get) const
| Returns true if this format is supported. More...

## Static Public Member Functions
static const wxChar * | GetRichTextBufferFormatId ()
| Returns the id for the new data format. More...

## Private Attributes
wxDataFormat | m_formatRichTextBuffer
wxRichTextBuffer * | m_richTextBuffer

## Static Private Attributes
static const wxChar * | ms_richTextBufferFormatId

## Additional Inherited Members
Public Types inherited from wxDataObject
enum | Direction { Get = 0x01 , Set = 0x02 , Both = 0x03 }

## Constructor & Destructor Documentation

## ◆ wxRichTextBufferDataObject()

wxRichTextBufferDataObject::wxRichTextBufferDataObject | ( | wxRichTextBuffer * | richTextBuffer = `NULL` | ) |

The constructor doesn't copy the pointer, so it shouldn't go away while this object is alive.

## ◆ ~wxRichTextBufferDataObject()

virtual wxRichTextBufferDataObject::~wxRichTextBufferDataObject | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ GetDataHere() [1/2]

virtual bool wxRichTextBufferDataObject::GetDataHere | ( | const wxDataFormat & | format,
|  | void * | buf
| ) |  | const
| inlinevirtual

The method will write the data of the format format to the buffer buf.

In other words, copy the data from this object in the given format to the supplied buffer. Returns true on success, false on failure.

Implements wxDataObject.

## ◆ GetDataHere() [2/2]

virtual bool wxRichTextBufferDataObject::GetDataHere | ( | void * | buf | ) | const
| virtual

Copy the data to the buffer, return true on success.

Must be implemented in the derived class if the object supports rendering its data.

Reimplemented from wxDataObjectSimple.

## ◆ GetDataSize() [1/2]

virtual size_t wxRichTextBufferDataObject::GetDataSize | ( |  | ) | const
| virtual

Gets the size of our data.

Must be implemented in the derived class if the object supports rendering its data.

Reimplemented from wxDataObjectSimple.

## ◆ GetDataSize() [2/2]

virtual size_t wxRichTextBufferDataObject::GetDataSize | ( | const wxDataFormat & | format | ) | const
| inlinevirtual

Returns the data size of the given format format.

Implements wxDataObject.

## ◆ GetPreferredFormat()

virtual wxDataFormat wxRichTextBufferDataObject::GetPreferredFormat | ( | Direction | dir | ) | const
| virtual

Returns the preferred format for either rendering the data (if dir is `Get`, its default value) or for setting it.

Usually this will be the native format of the wxDataObject.

Implements wxDataObject.

## ◆ GetRichTextBuffer()

wxRichTextBuffer* wxRichTextBufferDataObject::GetRichTextBuffer | ( |  | ) |

After a call to this function, the buffer is owned by the caller and it is responsible for deleting it.

## ◆ GetRichTextBufferFormatId()

static const wxChar* wxRichTextBufferDataObject::GetRichTextBufferFormatId | ( |  | ) |
| inlinestatic

Returns the id for the new data format.

## ◆ SetData() [1/2]

virtual bool wxRichTextBufferDataObject::SetData | ( | const wxDataFormat & | format,
|  | size_t | len,
|  | const void * | buf
| ) |  |
| inlinevirtual

Set the data in the format format of the length len provided in the buffer buf.

In other words, copy length bytes of data from the buffer to this data object.

Parameters

  format | The format for which to set the data.
  len | The size of data in bytes.
  buf | Non-NULL pointer to the data.

Returns
  true on success, false on failure.

Reimplemented from wxDataObject.

## ◆ SetData() [2/2]

virtual bool wxRichTextBufferDataObject::SetData | ( | size_t | len,
|  | const void * | buf
| ) |  |
| virtual

Copy the data from the buffer, return true on success.

Must be implemented in the derived class if the object supports setting its data.

Reimplemented from wxDataObjectSimple.

## Member Data Documentation

## ◆ m_formatRichTextBuffer

wxDataFormat wxRichTextBufferDataObject::m_formatRichTextBuffer
| private

## ◆ m_richTextBuffer

wxRichTextBuffer* wxRichTextBufferDataObject::m_richTextBuffer
| private

## ◆ ms_richTextBufferFormatId

const wxChar* wxRichTextBufferDataObject::ms_richTextBufferFormatId
| staticprivate